NXOpen .NET Reference  12.0.0
Public Member Functions | Properties | List of all members
NXOpen.CAE.LaminateSelectEntitiesBuilder Class Reference

Represents a NXOpen.CAE.LaminateSelectEntitiesBuilder More...

Inheritance diagram for NXOpen.CAE.LaminateSelectEntitiesBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Member Functions

unsafe void Clear ()
 Clears the selection list More...
 
unsafe void AddEntities (NXOpen.CAE.SetObject[] objects)
 Add entities to the selection objects More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe
NXOpen.SelectTaggedObjectList 
SelectionList [get]
 Returns the selection list More...
 

Detailed Description

Represents a NXOpen.CAE.LaminateSelectEntitiesBuilder

To create a new instance of this class, use NXOpen.CAE.LaminateGlobalLayupMgr.CreateLaminateSelectEntitiesBuilder

Created in NX7.5.2

Member Function Documentation

unsafe void NXOpen.CAE.LaminateSelectEntitiesBuilder.AddEntities ( NXOpen.CAE.SetObject[]  objects)

Add entities to the selection objects

Created in NX7.5.2

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

Parameters
objectsGeometric faces, element faces, geometric edges, element edges
unsafe void NXOpen.CAE.LaminateSelectEntitiesBuilder.Clear ( )

Clears the selection list

Created in NX7.5.2

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")

Property Documentation

unsafe NXOpen.SelectTaggedObjectList NXOpen.CAE.LaminateSelectEntitiesBuilder.SelectionList
get

Returns the selection list

Created in NX7.5.2

License requirements: nx_lam_comp_adv ("Laminate Composites Advanced")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.